import requests

miasto = input('Podaj nazwę miasta: ')

# Dokończ: wyślij zapytanie o miasto, odczytaj współrzędne
# zadaj zapytanie o prognozę
# wypisz bieżacą pogodę oraz listę temperatur

json = requests.get(f'https://geocoding-api.open-meteo.com/v1/search?name={miasto}').json()
miejsce = json['results'][0]
# Jeśli nie znajdzie żadnego takiego miejsca, to tu program się wykrzaczy
lat, lon, country, name = miejsce['latitude'], miejsce['longitude'], miejsce['country'], miejsce['name']

print(f'Znalazłem miejscowość {name} w kraju {country}')

json = requests.get(f'https://api.open-meteo.com/v1/forecast?latitude={lat}&longitude={lon}&current_weather=true&hourly=temperature_2m').json()
current = json['current_weather']
print('Temperatura:', current['temperature'])
print('Wiatr:', current['windspeed'])

# print('Daty:', json['hourly']['time'])
# print('Temperatury:', json['hourly']['temperature_2m'])

# Przeglądanie dwóch list na raz: funkcja zip
print('\nPrognozowane temperatury:')
for dt, temp in zip(json['hourly']['time'], json['hourly']['temperature_2m']):
    print(dt, temp)
